# -*- coding: utf-8 -*-
from __future__ import annotations

import typing

from hotpocket_soa.dto import BotResultOut


class PStrategy(typing.Protocol):
    def __init__(self, url: str):
        ...

    def is_netloc_banned(self) -> bool:
        ...

    def run(self) -> BotResultOut:
        ...
